package shoshone.httpclient;

import java.io.IOException;

import util.exception.CancelException;

public class MultipartPseudoFile extends Multipart {
	private String mime;
	
	public MultipartPseudoFile(Shoshone urlConn, String fieldName, String mime) {
		super(urlConn, fieldName);
		this.mime = mime;
	}

	@Override
	public long getContentLength() throws IOException {
		return PREFIX.length()+boundary.length()+
				(CONTENT_DISP+fieldName+"\"; filename=\"\"").length()
				+("Content-Type: "+mime).length()
				+10
				;
	}

	@Override
	public void apply() throws IOException, CancelException {
		urlConn.writeString(PREFIX);
		urlConn.writeStringAndNewLine(boundary); //2
		
		urlConn.writeStringAndNewLine(CONTENT_DISP+fieldName+"\"; filename=\"\""); //2
		urlConn.writeStringAndNewLine("Content-Type: "+mime); //2
		
		urlConn.writeNewline(); //2
		
		urlConn.writeNewline(); //2
	}

}
